Skip to content

Get card spending permissions

Request

Retrieves the current spending permissions configured for a card.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that owns the card.

Example:123456
cardTokenstring, (uuid)required

The unique token identifying the card.

Example:ca0c8154-1e14-4464-a1ce-dcea7dc3de52
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v3/spend/profiles/123456/cards/ca0c8154-1e14-4464-a1ce-dcea7dc3de52/spending-permissions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Card permissions retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
permissionsArray of objects

List of spending permissions for this card.

Response
{ "permissions": [ { "type": "ECOM", "isEnabled": false, "isLocked": false }, { "type": "POS_CHIP", "isEnabled": true, "isLocked": false }, { "type": "ATM_WITHDRAWAL", "isEnabled": false, "isLocked": false }, { "type": "MOBILE_WALLETS", "isEnabled": true, "isLocked": false }, { "type": "POS_CONTACTLESS", "isEnabled": false, "isLocked": true }, { "type": "POS_MAGSTRIPE", "isEnabled": false, "isLocked": true } ] }